List available MCP server views.
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/mcp_server_views \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/mcp_server_views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/mcp_server_views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"spaces": [
{
"id": 123,
"sId": "mcp_sv_abc123",
"name": "My Custom MCP Server",
"description": "This MCP server handles customer data operations",
"createdAt": 1625097600,
"updatedAt": 1625184000,
"spaceId": "spc_xyz789",
"serverType": "remote",
"server": {
"sId": "mcp_srv_def456",
"name": "Customer Data Server",
"version": "1.0.0",
"description": "Handles customer data operations and queries",
"icon": "database",
"authorization": {
"provider": "github",
"supported_use_cases": [
"platform_actions"
],
"scope": "repo:read"
},
"tools": [
{
"name": "query_customers",
"description": "Query customer database for information",
"inputSchema": {
"type": "object",
"properties": {
"customerId": {
"type": "string"
}
}
}
}
],
"availability": "production",
"allowMultipleInstances": false,
"documentationUrl": "https://docs.example.com/mcp-server"
},
"oAuthUseCase": "platform_actions",
"editedByUser": {
"editedAt": 1625184000,
"fullName": "John Doe",
"imageUrl": "https://example.com/profile/johndoe.jpg"
}
}
]
}Tools
List available MCP server views.
Retrieves a list of enabled MCP server views (aka tools) for a specific space of the authenticated workspace.
GET
/
api
/
v1
/
w
/
{wId}
/
spaces
/
{spaceId}
/
mcp_server_views
List available MCP server views.
⌘I